import
	{
		IconBuildingStore,
		IconClipboardCheckFilled,
		IconCoin, IconPackage,
		IconPalette,
		IconSettings,
		IconTag,
		IconUserCog,
		IconUsers
	} from "@tabler/icons-react";
import { type SidebarData } from "../types";

export const sidebarData: SidebarData = {
	navGroups: [
		{
			title: "Dashboard",
			items: [
				// {
				// 	title: "Dashboard",
				// 	url: "/dashboard",
				// 	icon: IconLayoutDashboard,
				// },
				{
					title: "Shop",
					url: "/dashboard/shop",
					icon: IconBuildingStore,
				},
				{
					title: "Products",
					url: "/dashboard/products",
					icon: IconPackage,
				},
				{
					title: "Sales",
					icon: IconCoin,
					items: [
						{
							title: "Recent sales",
							url: "/dashboard/sales/recent-sales",
							icon: IconClipboardCheckFilled,
						},
						{
							title: "Coupons",
							url: "/dashboard/sales/coupons",
							icon: IconTag,
						},
					],
				},
				{
					title: "Customers",
					url: "/dashboard/users",
					icon: IconUsers,
				},
			],
		},
		{
			title: "Other",
			items: [
				{
					title: "Settings",
					icon: IconSettings,
					items: [
						{
							title: "Profile",
							url: "/dashboard/settings",
							icon: IconUserCog,
						},
						{
							title: "Appearance",
							url: "/dashboard/settings/appearance",
							icon: IconPalette,
						}
					],
				},
				
			],
		},
	],
};
