import { useQuery } from "@tanstack/react-query";
import { productsAPI } from "@/api/api";
import { ProductWithDetails } from "@/api/mock/models";

export function useProducts() {
	const query = useQuery<ProductWithDetails[]>({
		queryKey: ["products"],
		queryFn: productsAPI.getProductsForShop,
	});

	return query;
}
