import { IconPlus } from "@tabler/icons-react";
import { Button } from "@/components/ui/button";
import { useCouponsContext } from "../context/coupon-context";

export function CouponPrimaryButtons() {
	const { setOpen } = useCouponsContext();
	return (
		<div className="flex gap-2">
			<Button className="space-x-1" onClick={() => setOpen("add")}>
				<span>Add Coupon</span> <IconPlus size={18} />
			</Button>
		</div>
	);
}
