import { mockDB } from "../db";
import { extractSubFromJWT } from "@/utils/jwt";

export async function getCurrentUserDirect() {
	const token = localStorage.getItem("access_token");
	if (!token) return null;

	const uuid = extractSubFromJWT(token);
	if (!uuid) return null;

	const user = await mockDB.users.where("uuid").equals(uuid).first();
	return user ?? null;
}
