import { useQuery } from "@tanstack/react-query";
import { couponAPI } from "@/api/api";
import { Coupon } from "@/api/mock/models";

export function useCoupons() {
	return useQuery<Coupon[]>({
		queryKey: ["coupons"],
		queryFn: couponAPI.getAllCoupons,
	});
}
