import { useQuery } from "@tanstack/react-query";
import { Purchase } from "@/api/mock/models";
import { purchaseAPI } from "@/api/api";

export function usePurchases() {
	return useQuery<Purchase[]>({
		queryKey: ["purchases"],
		queryFn: purchaseAPI.getAllPurchases,
	});
}
