import { useQuery } from "@tanstack/react-query";
import { usersAPI } from "@/api/api";
import { MockUser } from "@/api/mock/models";

export function useUsers() {
	return useQuery<MockUser[]>({
		queryKey: ["users"],
		queryFn: usersAPI.getAllUsers,
	});
}
