import { IconClockCancel, IconClock } from "@tabler/icons-react";

export const couponStatusColors = new Map<"active" | "expired", string>([
	[
		"active",
		"bg-green-100 text-green-800 dark:bg-green-900 dark:text-green-100 border border-green-300 dark:border-green-600",
	],
	[
		"expired",
		"bg-red-100 text-red-800 dark:bg-red-900 dark:text-red-100 border border-red-300 dark:border-red-600",
	],
]);

export const couponTypes = [
	{
		label: "Active",
		value: "active",
		icon: IconClock,
	},
	{
		label: "Expired",
		value: "expired",
		icon: IconClockCancel,
	},
] as const;
