import { IconPlus } from "@tabler/icons-react";
import { Button } from "@/components/ui/button";
import { usePurchasesContext } from "../context/purchase-context";

export function PurchasePrimaryButtons() {
	const { setOpen } = usePurchasesContext();
	return (
		<div className="flex gap-2">
			<Button className="space-x-1" onClick={() => setOpen("add")}>
				<span>Add New Purchase</span> <IconPlus size={18} />
			</Button>
		</div>
	);
}
