import { createSamplePurchase } from '@/api/mock/data/create-purchase-data'
import { Button } from '@/components/ui/button'
import { createLazyFileRoute } from '@tanstack/react-router'

export const Route = createLazyFileRoute('/_authenticated/dashboard/mock/')({
  component: RouteComponent,
})

function RouteComponent() {
  return <Button onClick={() => createSamplePurchase()}>New Fake Purchase</Button>
}
